WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Functions
Shell API

## Functions
template<class _Traits , class _Ax >
static BOOL | PathCanonicalizeA (std::basic_string< char, _Traits, _Ax > &sValue, LPCSTR pszPath)
| Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path, and stores it in a std::wstring string.
template<class _Traits , class _Ax >
static BOOL | PathCanonicalizeW (std::basic_string< wchar_t, _Traits, _Ax > &sValue, LPCWSTR pszPath)
| Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path, and stores it in a std::wstring string.
template<class _Traits , class _Ax >
static void | PathRemoveBackslashA (std::basic_string< char, _Traits, _Ax > &sValue)
| Removes the trailing backslash from a given path.
template<class _Traits , class _Ax >
static void | PathRemoveBackslashW (std::basic_string< wchar_t, _Traits, _Ax > &sValue)
| Removes the trailing backslash from a given path.

## Detailed Description

## Function Documentation

## ◆ PathCanonicalizeA()

template<class _Traits , class _Ax >

static BOOL PathCanonicalizeA | ( | std::basic_string< char, _Traits, _Ax > & | sValue,
|  | LPCSTR | pszPath )
| static

Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path, and stores it in a std::wstring string.

See also
  PathCanonicalize function

## ◆ PathCanonicalizeW()

template<class _Traits , class _Ax >

static BOOL PathCanonicalizeW | ( | std::basic_string< wchar_t, _Traits, _Ax > & | sValue,
|  | LPCWSTR | pszPath )
| static

Simplifies a path by removing navigation elements such as "." and ".." to produce a direct, well-formed path, and stores it in a std::wstring string.

See also
  PathCanonicalize function

## ◆ PathRemoveBackslashA()

template<class _Traits , class _Ax >

static void PathRemoveBackslashA | ( | std::basic_string< char, _Traits, _Ax > & | sValue | ) |
| static

Removes the trailing backslash from a given path.

See also
  PathRemoveBackslashW function

## ◆ PathRemoveBackslashW()

template<class _Traits , class _Ax >

static void PathRemoveBackslashW | ( | std::basic_string< wchar_t, _Traits, _Ax > & | sValue | ) |
| static

Removes the trailing backslash from a given path.

See also
  PathRemoveBackslashW function